Topic
  • 6 replies
  • Latest Post - ‏2012-05-24T17:12:17Z by PaulNicolucci
jsflover
jsflover
18 Posts

Pinned topic WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

‏2011-12-22T14:42:43Z |
I recently came across problems where the annotation provider provided with was 7 fp 19 does not work with Myfaces 2.1.x. It only works with Myfaces 2.0.7 and below. It doesnt even work with 2.0.8 and above.

Any ideas? Will there be update to the WebSphere-MyFaces20-annotation-provider in near future to provide support to myfaces 2.1.x versions and higher versions
thanks
Updated on 2012-05-24T17:12:17Z at 2012-05-24T17:12:17Z by PaulNicolucci
  • PaulNicolucci
    PaulNicolucci
    5 Posts

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-01-03T19:39:20Z  
    Thanks for your post. I'm currently looking into a solution for this problem. I'll add updates to this forum post as I have them available to keep you updated on progress.

    Thanks,

    Paul Nicolucci
  • oosie
    oosie
    1 Post

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-02-07T17:31:27Z  
    Thanks for your post. I'm currently looking into a solution for this problem. I'll add updates to this forum post as I have them available to keep you updated on progress.

    Thanks,

    Paul Nicolucci
    Hello,

    I'm seeing a similar issue on WebSphere Application Server 8.x, where I can't get MyFaces 2.1.x to work properly. I tried both 8.0.0.0 and 8.0.0.2.

    Has there been any progress on this issue in the meantime?

    Thanks,
    Jack
  • leozl70
    leozl70
    1 Post

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-03-07T13:04:43Z  
    • oosie
    • ‏2012-02-07T17:31:27Z
    Hello,

    I'm seeing a similar issue on WebSphere Application Server 8.x, where I can't get MyFaces 2.1.x to work properly. I tried both 8.0.0.0 and 8.0.0.2.

    Has there been any progress on this issue in the meantime?

    Thanks,
    Jack
    I am also working on migration from WAS 6.1 to WAS 8. If I keep class load of PARENT_LAST and put the latest MyFaces 2.1.15 jars in the application lib, I always get server startup error related to IBM specific annotation provider. Is there any way to resolve the issue?
  • WillemvanOranje
    WillemvanOranje
    2 Posts

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-05-24T15:22:33Z  
    • leozl70
    • ‏2012-03-07T13:04:43Z
    I am also working on migration from WAS 6.1 to WAS 8. If I keep class load of PARENT_LAST and put the latest MyFaces 2.1.15 jars in the application lib, I always get server startup error related to IBM specific annotation provider. Is there any way to resolve the issue?
    As far as I know you can only use Myfaces 2.0.7 or older. I'd like to use the newer versions in WAS 7. Any progress?
  • PaulNicolucci
    PaulNicolucci
    5 Posts

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-05-24T17:10:53Z  
    • oosie
    • ‏2012-02-07T17:31:27Z
    Hello,

    I'm seeing a similar issue on WebSphere Application Server 8.x, where I can't get MyFaces 2.1.x to work properly. I tried both 8.0.0.0 and 8.0.0.2.

    Has there been any progress on this issue in the meantime?

    Thanks,
    Jack
    Jack, if you switch the JSF implementation to SunRI and restart the server you should be able to use your version of MyFaces. I'm working to update the information center with this information.

    Thanks,

    Paul
  • PaulNicolucci
    PaulNicolucci
    5 Posts

    Re: WebSphere-MyFaces20-annotation-provider having issues with Myfaces 2.1.x

    ‏2012-05-24T17:12:17Z  
    Jack, if you switch the JSF implementation to SunRI and restart the server you should be able to use your version of MyFaces. I'm working to update the information center with this information.

    Thanks,

    Paul
    We are also working an internal defect to allow versions of MyFaces greater than 2.0.7 to work with WAS V7.